:root {
  --app-height: 100vh;
  --app-width: 100vw;
}

body {
  margin: 0;
  padding: 0;
  background-color: #E0E4EA;
}

.App {
  margin: 0;
  padding: 0;
  height: var(--app-height);
  width: var(--app-width);
  display: grid;
  grid-template-columns: 30vw auto 80px;
  grid-template-rows: 20vh auto;
}

.map {
  grid-column: 2 / span 1;
  grid-row: 1 / span 2;
  height: 100vh;
}

.beta {
  grid-column: 2 / span 1;
  grid-row: 2 / span 1;
  z-index: 1;
  justify-self: start;
  align-self: start;
  margin-top: 20px;
  width: 50vw;
}

.header {
  background-color: #ffbc2c;
  grid-column: 1 / span 1;
  grid-row: 1 / span 1;
  padding: 10px;
  display: flex;
  flex-direction: column;
  align-content: space-around;
  align-items: flex-start;
  justify-content: space-around;
}

.header h2 {
  margin-top: 0;
}

.panel {
  padding: 10px;
  grid-column: 1 / span 1;
  grid-row: 2 / span 1;
  text-align: center;
  overflow-y: scroll;
}

.buttons {
  grid-column: 3 / span 1;
  grid-row: 1 / span 2;
  display: flex;
  flex-direction: column;
}

.button-maptheme {
  align-self: stretch;
  height: 50%;
}

.button-general {
  align-self: stretch;
  height: 50%;
}

.location {
  grid-column: 2 / span 1;
  grid-row: 1 / span 1;
  z-index: 1;
  justify-self: end;
  align-self: start;
  /* position: fixed; */
  margin: 10px;
}

@media screen and (max-device-width: 768px) {
  .App {
    grid-template-rows: 10vh auto 5vh;
    grid-template-columns: 50vw auto 10px;
  }
  .App h1 {
    margin: 0px;
  }
  .App h4 {
    margin: 0px;
  }
  .map {
    grid-column: 1 / span 3;
    grid-row: 2 / span 1;
    width: 90vw;
    /* justify-self: stretch; */
    /* align-content: stretch; */
    /* align-self: stretch; */
  }
  .header {
    grid-column: 1 / span 3;
    grid-row: 1 / span 1;
    justify-self: stretch;
    justify-content: center;
    margin: 0;
  }
  .panel{
    display: none;
  }
  .header h2 {
    font-size: 75%;
  }
  .buttons {
    grid-column: 1 / span 3;
    grid-row: 3 / span 1;
    flex-direction: row;
  }
  .button-maptheme {
    height: 100%;
    width: 50vw;
  }
  .button-general {
    height: 100%;
    width: 50vw;
  }
  .location {
    grid-column: 2 / span 1;
    grid-row: 2 / span 1;
    justify-self: start;
  }
  .beta {
    grid-column: 1 / span 2;
    grid-row: 2 / span 1;
    z-index: 1;
    margin-top: 20vh;
    width: 50vw;
  }
}